/**
 * @license
 * Copyright 2022 Google LLC
 * SPDX-License-Identifier: Apache-2.0
 */

/**
 * @fileoverview Holds constants that have to do with the sprites that create
 * the trashcan and zoom controls.
 */
'use strict';

/**
 * Holds constants that have to do with the sprites that create the trashcan
 * and zoom controls.
 */
goog.module('Blockly.sprite');


/**
 * Contains the path to a single png tat holds the images for the trashcan
 * as well as the zoom controls.
 * @const {!Object}
 * @alias Blockly.sprite.SPRITE
 */
const SPRITE = {
  width: 96,
  height: 124,
  url: 'sprites.png',
};
exports.SPRITE = SPRITE;
